# packages/static-pages/tcl/static-pages-init.tcl
ad_library {
    @author Andrew Piskorski <atp@piskorski.com>
    @creation-date  2001/08/27
    @cvs-id $Id: static-pages-init.tcl,v 1.1 2001/08/27 07:03:11 andy Exp $
}


# Use these to insure that only 1 copy of sp_sync_cr_with_filesystem
# per Static Pages package instance ever runs at once.  For each
# package_id in the array, empty string means not running, a string
# means is curretnly running, and the string will give the time the
# proc started running:

ns_share -init { array set sp_sync_cr_with_filesystem_times {} } sp_sync_cr_with_filesystem_times

ns_share -init { set sp_sync_cr_with_filesystem_mutex [ns_mutex create] } sp_sync_cr_with_filesystem_mutex

